stages:
  - test
  - publish

sast:
  stage: test
include:
  - template: Security/SAST.gitlab-ci.yml

deploy:
  image: maven
  stage: publish
  script:
    - apt-get update -y && apt-get install gnupg -y
    - curl --silent "https://gitlab.com/gitlab-org/incubation-engineering/mobile-devops/download-secure-files/-/raw/main/installer" | bash
    - gpg --pinentry-mode loopback --passphrase $GPG_PASSPHRASE --import .secure_files/sign.private
    - mvn -s .m2/settings.xml deploy
  only:
    - main
